### Hierarchy

- State
  - StateService

## Index

### Constructors

- constructor

### Properties

- _defaults
- _store
- _type

### Accessors

- type
- instance

### Methods

- get
- set

## Constructors

### constructor

- new StateService(enforcer: any): StateService

- Overrides State.constructor

  - Defined in state/state-service.ts:8

  #### Parameters

  - ##### enforcer: any

  #### Returns StateService

## Properties

### _defaults

_defaults: any

Inherited from State._defaults

- Defined in state/state.ts:4

### _store

_store: any

Inherited from State._store

- Defined in state/state.ts:3

### _type

_type: string

- Defined in state/state-service.ts:8

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in state/state-service.ts:25

  #### Returns string

- - Defined in state/state-service.ts:29

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in state/state-service.ts:18

  #### Returns any

## Methods

### get

- get(key: any): any

- Inherited from State.get

  - Defined in state/state.ts:8

  #### Parameters

  - ##### key: any

  #### Returns any

### set

- set(key: any, value: any): any

- Inherited from State.set

  - Defined in state/state.ts:12

  #### Parameters

  - ##### key: any

  - ##### value: any

  #### Returns any